<!DOCTYPE html>
<html lang="zh-Hans">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>{% block title %} {% endblock %}</title>

    {% block head %}
    <link rel="shortcut icon" href="{{ url_for('static',filename='img/favicon.png') }}" type="image/x-icon">
    <!-- Fonts -->
    <link rel="stylesheet" href="{{ url_for('static',filename='assets/fonts/Lato/Lato.css') }}">

    <!-- Icons -->
    <link rel="stylesheet" href="{{ url_for('static',filename='assets/fonts/flaticon/flaticon.css') }}">
    <link rel="stylesheet"
        href="{{ url_for('static',filename='assets/fonts/webfont/css/materialdesignicons.min.css') }}">
        <link rel="stylesheet" href="{{ url_for('static',filename='fonts/font-awesome/css/font-awesome.min.css') }}">

    <!-- Libs -->
    <link rel="stylesheet" href="{{ url_for('static',filename='libs/bootstrap-4.3.1/css/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ url_for('static',filename='libs/select2/css/select2.min.css') }}">
    <link rel="stylesheet" href="{{ url_for('static',filename='libs/slick/slick.css') }}">

    <!-- Theme -->
    <link rel="stylesheet" href="{{ url_for('static',filename='assets/css/style.css') }}">

    <link rel="stylesheet" href="{{ url_for('static',filename='assets/css/store_css.css') }}">
    <link rel="stylesheet" href="{{ url_for('static',filename='assets/css/account_css.css') }}">
    <link rel="stylesheet" href="{{ url_for('static',filename='assets/css/chat_css.css') }}">
    <meta name="theme-color" content="#ECECEC">
    <style>
        a {
            text-decoration: none;
        }

        a:hover {
            text-decoration: none;
        }
    </style>
    {% endblock %}
</head>

<body {% block body_pro %} {% endblock %} class="home">
    <div class="head-line"></div>

    {% for message in get_flashed_messages(with_categories=True) %}
    <div class="alert alert-{{ message[0] }}">
        <button type="button" class="close" data-dismiss="alert">&times;</button>
        <strong>{{ message[1] }}</strong>
    </div>
    {% endfor %}
    
    {% block page_header %}
    <header class="page-header">
        <div class="container">
            <div class="top-bar row align-items-center">
                <div class="search col-lg-4">
                    <div class="form-search-toggle js-open-search">
                        <i class="search-icon flaticon-magnifying-glass-browser fi-2x"></i>
                        <span>Search</span>
                    </div>
                    <div id="js-open-mob-menu" class="mob-menu-toggle">
                        <span>Menu</span> <i class="flaticon-menu-options fi-2x"></i>
                    </div>
                </div>

                <div class="logo col-lg-4">
                    <a href="{{ url_for('Home.home') }}"><img src="{{ url_for('static',filename='img/logo.png') }}"
                            alt=""></a>
                </div>
                <div class="quick-access-menu col-lg-4">


                    <div class="quick-access__item">
                        <div class="header-mini-cart">
                            <a href="{{ url_for('user.panel') }}"><span class="account"><i
                                        class="flaticon-messenger-user-avatar fi-2x"></i></span></a>
                            <div class="mini-cart">
                                <div class="mini-cart__content">
                                    {% if username %}
                                    <div class="empty-message">Hello,{{username}}</div>
                                    <a href="{{ url_for('user.panel') }}"
                                        class="btn btn-primary btn-lg mini-cart__btn">个人中心</a>
                                    {% else %}
                                    <div class="empty-message">Please log in first</div>
                                    {% endif %}
                                </div>
                                <div class="mini-cart__footer">
                                    <div class="icon-box icon-box-left justify-content-center">
                                        <div class="icon-box__icon"><i class="flaticon flaticon-delivery-truck"></i>
                                        </div>
                                        <div class="icon-box__title">Buybuy</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div><!-- end of quick-access-menu -->
            </div> <!-- end of top-bar -->

            <nav class="header-navigation">
                <button class="mob-menu-close" id="js-close-mob-menu">
                    <span>Close</span>
                    <i class="flaticon-cancel-button"></i>
                </button>
                <br>
                <ul class="nav justify-content-center">
                    <li class="nav-item">
                        <a class="nav-link active" href="{{ url_for('Home.home') }}">主页</a>
                    </li>
                    {% if username %}
                    <li class="nav-item">
                        <a class="nav-link" href="{{ url_for('user.panel') }}">个人中心</a>
                    </li>
                    <li class="nav-item">
                        <a onclick="return confirm('确认注销？');" class="nav-link"
                            href="{{ url_for('Login.logout') }}">注销</a>
                    </li>
                    {% else %}
                    <li class="nav-item">
                        <a class="nav-link" href="{{ url_for('Login.login') }}">登录</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ url_for('Login.regist') }}">注册</a>
                    </li>
                    {% endif %}

                </ul>
            </nav>
        </div>
    </header>
    {% endblock %}


    {% block content %}

    {% endblock %}


    {% block page_footer %}
    <footer class="page-footer">
        <div class="container">
            <div class="footer-bottom">
                <div class="copyright">Copyright &copy; 2020.Adventure of Bug Coders All rights reserved.<a
                        target="_blank" href=""></a></div>
                <ul class="footer-bottom__menu">
                    <li>Privacy Policy</li>
                    <li>Terms of use</li>
                </ul>
            </div>
        </div>
    </footer>
    {% endblock %}

    {% block search_wrap %}
    <div class="full-search-wrap">
        <div class="full-search container">
            <div class="close-s float-right js-close-search flaticon-cancel-button fi-2x"></div>
            <form action="/getsearch" class=" search-full-form" method=post>
                <div class="position-relative">
                    <i class="search-icon flaticon-magnifying-glass-browser fi-2x"></i>
                    <input type="text" id="s-full" class="search-full-form__input" placeholder="Search" name="keyword"
                        maxlength="80">
                    <input type="submit" class="d-none">
                </div>
                <p class="hint">Type in your search and press enter</p>
            </form>
        </div>
    </div>
    {% endblock %}

    <div id="js-back-to-top" class="back-to-top"><i class="flaticon-up-arrow-sign"></i> Page top</div>

    <!-- Libs -->
    <script src="{{ url_for('static',filename='libs/jquery-2.2.3.min.js') }}"></script>
    <script src="{{ url_for('static',filename='libs/bootstrap-4.3.1/js/bootstrap.min.js') }}"></script>
    <script src="{{ url_for('static',filename='libs/select2/js/select2.min.js') }}"></script>
    <script src="{{ url_for('static',filename='libs/slick/slick.min.js') }}"></script>

    <!-- Theme -->
    <script src="{{ url_for('static',filename='assets/js/custom.js') }}"></script>

</body>

</html>}